List available payment tokens
curl --request GET \
--url https://api-beta.pepay.io/api/v1/payments/available-tokens \
--header 'x-session-token: <api-key>' \
--header 'x-signature: <api-key>'import requests
url = "https://api-beta.pepay.io/api/v1/payments/available-tokens"
headers = {
"x-session-token": "<api-key>",
"x-signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-session-token': '<api-key>', 'x-signature': '<api-key>'}
};
fetch('https://api-beta.pepay.io/api/v1/payments/available-tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-beta.pepay.io/api/v1/payments/available-tokens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-session-token: <api-key>",
"x-signature: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-beta.pepay.io/api/v1/payments/available-tokens"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-session-token", "<api-key>")
req.Header.Add("x-signature", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-beta.pepay.io/api/v1/payments/available-tokens")
.header("x-session-token", "<api-key>")
.header("x-signature", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-beta.pepay.io/api/v1/payments/available-tokens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-session-token"] = '<api-key>'
request["x-signature"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": 1,
"token_symbol": "USDC",
"token_name": "USDC",
"token_type": "erc20",
"network": "ethereum",
"token_decimals": 6,
"token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"requires_memo": false,
"photo_uri": "https://assets.coingecko.com/coins/images/6319/small/USD_Coin_icon.png",
"is_monitored": true,
"has_settlement_route": true,
"settlement_rate": 1.02,
"settlement_cost_usd": 102,
"is_same_token_settlement": false,
"tier": "100",
"tier_fee": 0,
"availability_status": "AVAILABLE",
"rate_updated_at": 1704110400
},
{
"id": 2,
"token_symbol": "ETH",
"token_name": "ETH",
"token_type": "native",
"network": "ethereum",
"token_decimals": 18,
"token_address": null,
"requires_memo": false,
"photo_uri": "https://assets.coingecko.com/coins/images/279/standard/ethereum.png",
"is_monitored": true,
"has_settlement_route": false,
"availability_status": "STALE",
"rate_updated_at": 1704109800,
"unavailable_reason": "Rate data is older than 5 minutes"
}
]Payor
List available payment tokens
Returns the token options a payor can use to pay this invoice.
Use the returned network and id (as tokenId) to call POST /api/v1/payments/payment-addresses.
Notes:
- In devnet, tokens are returned without settlement quote fields and
availability_statusisDEVNET. - In mainnet, tokens include quote fields when available; tokens with
has_settlement_route=falseincludeunavailable_reason. availability_statusvalues:DEVNET,AVAILABLE,STALE,NO_LIQUIDITY,QUOTE_REQUIRED.mode=monitored(default): only monitored tokens (precomputed snapshot pricing).mode=all: includes non-monitored tokens withavailability_status=QUOTE_REQUIRED.mode=network: filters to a single network (requiresnetworkquery param).available_only=true: return only tokens withavailability_status=AVAILABLE(mainnet) oravailability_status=DEVNET(devnet).- If the invoice is
underpaid, the response is limited to the locked token/network.
GET
/
api
/
v1
/
payments
/
available-tokens
List available payment tokens
curl --request GET \
--url https://api-beta.pepay.io/api/v1/payments/available-tokens \
--header 'x-session-token: <api-key>' \
--header 'x-signature: <api-key>'import requests
url = "https://api-beta.pepay.io/api/v1/payments/available-tokens"
headers = {
"x-session-token": "<api-key>",
"x-signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-session-token': '<api-key>', 'x-signature': '<api-key>'}
};
fetch('https://api-beta.pepay.io/api/v1/payments/available-tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-beta.pepay.io/api/v1/payments/available-tokens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-session-token: <api-key>",
"x-signature: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-beta.pepay.io/api/v1/payments/available-tokens"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-session-token", "<api-key>")
req.Header.Add("x-signature", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-beta.pepay.io/api/v1/payments/available-tokens")
.header("x-session-token", "<api-key>")
.header("x-signature", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-beta.pepay.io/api/v1/payments/available-tokens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-session-token"] = '<api-key>'
request["x-signature"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": 1,
"token_symbol": "USDC",
"token_name": "USDC",
"token_type": "erc20",
"network": "ethereum",
"token_decimals": 6,
"token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"requires_memo": false,
"photo_uri": "https://assets.coingecko.com/coins/images/6319/small/USD_Coin_icon.png",
"is_monitored": true,
"has_settlement_route": true,
"settlement_rate": 1.02,
"settlement_cost_usd": 102,
"is_same_token_settlement": false,
"tier": "100",
"tier_fee": 0,
"availability_status": "AVAILABLE",
"rate_updated_at": 1704110400
},
{
"id": 2,
"token_symbol": "ETH",
"token_name": "ETH",
"token_type": "native",
"network": "ethereum",
"token_decimals": 18,
"token_address": null,
"requires_memo": false,
"photo_uri": "https://assets.coingecko.com/coins/images/279/standard/ethereum.png",
"is_monitored": true,
"has_settlement_route": false,
"availability_status": "STALE",
"rate_updated_at": 1704109800,
"unavailable_reason": "Rate data is older than 5 minutes"
}
]Authorizations
Query Parameters
Response
Token list
Was this page helpful?

